ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Doroszlai, Attila (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-21449) Stack upgrade with pre-req checks enabled fails due to NPE
Date Wed, 12 Jul 2017 12:52:01 GMT
Doroszlai, Attila created AMBARI-21449:
------------------------------------------

             Summary: Stack upgrade with pre-req checks enabled fails due to NPE	
                 Key: AMBARI-21449
                 URL: https://issues.apache.org/jira/browse/AMBARI-21449
             Project: Ambari
          Issue Type: Bug
          Components: ambari-server
    Affects Versions: 2.5.2
            Reporter: Doroszlai, Attila
            Assignee: Doroszlai, Attila
            Priority: Blocker
             Fix For: 2.5.2


{{target_stack}} should be passed to {{PreUpgradeCheckResourceProvider}} to prevent the following
NPE:

{noformat}
Caught a runtime exception while attempting to create a resource: null
java.lang.NullPointerException
        at org.apache.ambari.server.controller.internal.PreUpgradeCheckResourceProvider.getResources(PreUpgradeCheckResourceProvider.java:150)
        at org.apache.ambari.server.controller.internal.UpgradeResourceProvider$PreReqCheckValidator.check(UpgradeResourceProvider.java:2134)
        at org.apache.ambari.server.controller.internal.UpgradeResourceProvider$UpgradeRequestValidator.validate(UpgradeResourceProvider.java:2031)
        at org.apache.ambari.server.controller.internal.UpgradeResourceProvider$UpgradeRequestValidator.validate(UpgradeResourceProvider.java:2035)
        at org.apache.ambari.server.controller.internal.UpgradeResourceProvider.validateRequest(UpgradeResourceProvider.java:691)
{noformat}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message